Subject: bug#32369: git guile missing files from repository when cloning

From: Java House <[email-masked]>
Date: Sun, 5 Aug 2018 19:24:51 +0300

Got it, thanks!
I will give it a try following the HACKING instrunctions.

Kind Regards
Nikolas
Στις Κυρ, 5 Αυγ 2018 στις 6:38 μ.μ., ο/η Mark H Weaver <[email-masked]> έγραψε:
>
> tags 32369 + notabug
> close 32369
> thanks
>
> Hi,
>
> Java House <[email-masked]> writes:
>
> > I am trying to install guile by following instructions.
> > I cloned the source code in my unix FreeBSD 11.2-RELEASE
> > git clone git://git.sv.gnu.org/guile.git
> >
> > And tried to follow instructions in the README file.
> >
> > unfortunately the INSTALL file as well as the ./configure file are
> > missing from the guile directory.
>
> When building from a git checkout, you must begin by running
> ./autogen.sh in the top-level source directory, to generate the
> ./configure script and others.  Note that more tools are required to
> perform this step than to build from a tarball release.  See the
> 'HACKING' file in the top-level source directory for details.
>
>       Mark